Bug 250663 - x11-toolkits/scintilla & editors/scite: Update to 4.4.5
Summary: x11-toolkits/scintilla & editors/scite: Update to 4.4.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://www.scintilla.org/ScintillaHi...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-27 01:36 UTC by Naram Qashat
Modified: 2020-11-03 02:47 UTC (History)
2 users (show)

See Also:
lwhsu: merge-quarterly+


Attachments
scintilla-4.4.5.patch (11.76 KB, patch)
2020-10-27 01:36 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
scite-4.4.5.patch (4.78 KB, patch)
2020-10-27 01:39 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2020-10-27 01:36:36 UTC
Created attachment 219132 [details]
scintilla-4.4.5.patch

This is for x11-toolkits/scintilla.

* Update Makefile (add PATCH_WRKSRC because I needed to patch some files outside of WRKSRC, add some GNOME Uses that poudriere complained about, remove the pseudo-versioning because it was never being done in the actual compilation anyways, add a way to get a debug build)
* Update distinfo
* Correct URL in pkg-descr
* Remove patch-makefile (due to the PATCH_WRKSRC change)
* Add patch-gtk_makefile (due to the PATCH_WRKSRC change) and patch-lexilla_src_makefile
* Add patch-src_PositionCache.h, patch-src_Style.cxx and patch-src_Style.h, temporary patches for this version until 4.4.6 comes out to fix compilation with newer compilers
* Update pkg-plist

Use of ASAN is removed from the build as it was causing an ASAN error for me when trying to run SciTE within a VM due to libGL (which isn't compiled with ASAN, nor is the FreeBSD base system libraries), and the author of Scintilla and SciTE said that it was fine to remove (his thought being that normally Scintilla and SciTE aren't built with Clang, but since it is the default compiler for FreeBSD and I want the software to work, it is better to just not enable ASAN until it is enabled everywhere.

The removal of the version number on the libraries was due to consensus on IRC in #bsdports that it wasn't necessary if the software was not originally doing so in the first place.

Changelog:
https://www.scintilla.org/ScintillaHistory.html

Tested in poudriere for 11-amd64, 11-i386, 12-amd64 and 12-i386. Passes portlint.
Comment 1 Naram Qashat 2020-10-27 01:39:39 UTC
Created attachment 219133 [details]
scite-4.4.5.patch

This is for editors/scite.

* Update Makefile (add a way to get a debug build, remove a post-patch step that wasn't necessary, create a symlink from bin/SciTE to bin/scite on suggestion from a user in #bsdports)
* Update distinfo
* Correct URL in pkg-descr
* Update patch-gtk_makefile
* Update pkg-plist

Same note about ASAN for x11-toolkits/scintilla applies to this.

Changelog is same as the one for x11-toolkits/scintilla.

Tested in poudriere for 11-amd64, 11-i386, 12-amd64 and 12-i386. Passes portlint.
Comment 2 Naram Qashat 2020-10-27 01:41:08 UTC
Also, I would like these ports to be updated in quarterly as well. They currently do not build there because of the clang update, but this update will allow them to build.
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-27 06:35:04 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 4 commit-hook freebsd_committer 2020-10-29 20:06:11 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Oct 29 20:05:38 UTC 2020
New revision: 553638
URL: https://svnweb.freebsd.org/changeset/ports/553638

Log:
  x11-toolkits/scintilla: Update to 4.4.5

  * Update Makefile (add PATCH_WRKSRC because I needed to patch some files
    outside of WRKSRC, add some GNOME Uses that poudriere complained about,
    remove the pseudo-versioning because it was never being done in the actual
    compilation anyways, add a way to get a debug build)
  * Update distinfo
  * Correct URL in pkg-descr
  * Remove patch-makefile (due to the PATCH_WRKSRC change)
  * Add patch-gtk_makefile (due to the PATCH_WRKSRC change) and
    patch-lexilla_src_makefile
  * Add patch-src_PositionCache.h, patch-src_Style.cxx and patch-src_Style.h,
    temporary patches for this version until 4.4.6 comes out to fix compilation
    with newer compilers
  * Update pkg-plist

  Use of ASAN is removed from the build as it was causing an ASAN error for me
  when trying to run SciTE within a VM due to libGL (which isn't compiled with
  ASAN, nor is the FreeBSD base system libraries), and the author of Scintilla
  and SciTE said that it was fine to remove (his thought being that normally
  Scintilla and SciTE aren't built with Clang, but since it is the default
  compiler for FreeBSD and I want the software to work, it is better to just not
  enable ASAN until it is enabled everywhere.

  The removal of the version number on the libraries was due to consensus on IRC
  in #bsdports that it wasn't necessary if the software was not originally doing
  so in the first place.

  Changelog:
  https://www.scintilla.org/ScintillaHistory.html

  PR:		250663
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  MFH:		2020Q4

Changes:
  head/x11-toolkits/scintilla/Makefile
  head/x11-toolkits/scintilla/distinfo
  head/x11-toolkits/scintilla/pkg-descr
  head/x11-toolkits/scintilla/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-10-29 20:07:13 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Oct 29 20:06:34 UTC 2020
New revision: 553639
URL: https://svnweb.freebsd.org/changeset/ports/553639

Log:
  editors/scite: Updaet to 4.4.5

  PR:		250663
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  MFH:		2020Q4

Changes:
  head/editors/scite/Makefile
  head/editors/scite/distinfo
  head/editors/scite/files/patch-gtk_makefile
  head/editors/scite/pkg-descr
  head/editors/scite/pkg-plist
Comment 6 Naram Qashat 2020-10-30 01:58:24 UTC
I've just been informed by email that the 553638 revision for x11-toolkits/scintilla did not update the patches within the files/ directory. Can this be taken care of, please?
Comment 7 commit-hook freebsd_committer 2020-10-30 05:30:44 UTC
A commit references this bug:

Author: lwhsu
Date: Fri Oct 30 05:30:03 UTC 2020
New revision: 553664
URL: https://svnweb.freebsd.org/changeset/ports/553664

Log:
  x11-toolkits/scintilla: Add/delete files under files/

  PR:		250663

Changes:
  head/x11-toolkits/scintilla/files/patch-gtk_makefile
  head/x11-toolkits/scintilla/files/patch-lexilla_src_makefile
  head/x11-toolkits/scintilla/files/patch-makefile
  head/x11-toolkits/scintilla/files/patch-src_PositionCache.h
  head/x11-toolkits/scintilla/files/patch-src_Style.cxx
  head/x11-toolkits/scintilla/files/patch-src_Style.h
Comment 8 commit-hook freebsd_committer 2020-11-03 02:44:52 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov  3 02:44:06 UTC 2020
New revision: 553945
URL: https://svnweb.freebsd.org/changeset/ports/553945

Log:
  MFH: r553638

  x11-toolkits/scintilla: Update to 4.4.5

  * Update Makefile (add PATCH_WRKSRC because I needed to patch some files
    outside of WRKSRC, add some GNOME Uses that poudriere complained about,
    remove the pseudo-versioning because it was never being done in the actual
    compilation anyways, add a way to get a debug build)
  * Update distinfo
  * Correct URL in pkg-descr
  * Remove patch-makefile (due to the PATCH_WRKSRC change)
  * Add patch-gtk_makefile (due to the PATCH_WRKSRC change) and
    patch-lexilla_src_makefile
  * Add patch-src_PositionCache.h, patch-src_Style.cxx and patch-src_Style.h,
    temporary patches for this version until 4.4.6 comes out to fix compilation
    with newer compilers
  * Update pkg-plist

  Use of ASAN is removed from the build as it was causing an ASAN error for me
  when trying to run SciTE within a VM due to libGL (which isn't compiled with
  ASAN, nor is the FreeBSD base system libraries), and the author of Scintilla
  and SciTE said that it was fine to remove (his thought being that normally
  Scintilla and SciTE aren't built with Clang, but since it is the default
  compiler for FreeBSD and I want the software to work, it is better to just not
  enable ASAN until it is enabled everywhere.

  The removal of the version number on the libraries was due to consensus on IRC
  in #bsdports that it wasn't necessary if the software was not originally doing
  so in the first place.

  Changelog:
  https://www.scintilla.org/ScintillaHistory.html

  PR:		250663
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/x11-toolkits/scintilla/Makefile
  branches/2020Q4/x11-toolkits/scintilla/distinfo
  branches/2020Q4/x11-toolkits/scintilla/pkg-descr
  branches/2020Q4/x11-toolkits/scintilla/pkg-plist
Comment 9 commit-hook freebsd_committer 2020-11-03 02:45:54 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov  3 02:44:51 UTC 2020
New revision: 553946
URL: https://svnweb.freebsd.org/changeset/ports/553946

Log:
  MFH: r553639

  editors/scite: Updaet to 4.4.5

  PR:		250663
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/editors/scite/Makefile
  branches/2020Q4/editors/scite/distinfo
  branches/2020Q4/editors/scite/files/patch-gtk_makefile
  branches/2020Q4/editors/scite/pkg-descr
  branches/2020Q4/editors/scite/pkg-plist
Comment 10 commit-hook freebsd_committer 2020-11-03 02:47:55 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov  3 02:46:59 UTC 2020
New revision: 553947
URL: https://svnweb.freebsd.org/changeset/ports/553947

Log:
  MFH: r553664

  x11-toolkits/scintilla: Add/delete files under files/

  PR:		250663

  Approved by:	ports-secteam (fluffy, implicitly)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/x11-toolkits/scintilla/files/patch-gtk_makefile
  branches/2020Q4/x11-toolkits/scintilla/files/patch-lexilla_src_makefile
  branches/2020Q4/x11-toolkits/scintilla/files/patch-makefile
  branches/2020Q4/x11-toolkits/scintilla/files/patch-src_PositionCache.h
  branches/2020Q4/x11-toolkits/scintilla/files/patch-src_Style.cxx
  branches/2020Q4/x11-toolkits/scintilla/files/patch-src_Style.h